Bug 1149409 - [abrt] gnome-shell: meta_window_actor_set_unredirected(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_actor_set_unredirected(): gnome-shell killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8dc6bba4ef4c8e2202a32e3a721...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-04 15:23 UTC by Anonymous
Modified: 2015-12-02 16:21 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:06:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.65 KB, text/plain)
2014-10-04 15:23 UTC, Anonymous
no flags Details
File: cgroup (190 bytes, text/plain)
2014-10-04 15:23 UTC, Anonymous
no flags Details
File: core_backtrace (15.50 KB, text/plain)
2014-10-04 15:23 UTC, Anonymous
no flags Details
File: dso_list (25.58 KB, text/plain)
2014-10-04 15:23 UTC, Anonymous
no flags Details
File: environ (1.22 KB, text/plain)
2014-10-04 15:23 UTC, Anonymous
no flags Details
File: exploitable (117 bytes, text/plain)
2014-10-04 15:23 UTC, Anonymous
no flags Details
File: limits (1.29 KB, text/plain)
2014-10-04 15:24 UTC, Anonymous
no flags Details
File: maps (123.21 KB, text/plain)
2014-10-04 15:24 UTC, Anonymous
no flags Details
File: open_fds (2.84 KB, text/plain)
2014-10-04 15:24 UTC, Anonymous
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-10-04 15:24 UTC, Anonymous
no flags Details
File: var_log_messages (2.29 KB, text/plain)
2014-10-04 15:24 UTC, Anonymous
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 740133 None None None Never

Description Anonymous 2014-10-04 15:23:49 UTC
Description of problem:
I ran Steam and CS:Source game. During video stres test I wanted to escape by Escape key. Then I switched windows by alt-tab.

Version-Release number of selected component:
gnome-shell-3.14.0-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_actor_set_unredirected
executable:     /usr/bin/gnome-shell
kernel:         3.16.3-302.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 meta_window_actor_set_unredirected at compositor/meta-window-actor.c:1170
 #1 set_unredirected_window at compositor/compositor.c:607
 #2 pre_paint_windows at compositor/compositor.c:1055
 #3 meta_repaint_func at compositor/compositor.c:1094
 #4 _clutter_run_repaint_functions at ./clutter-main.c:3643
 #5 master_clock_update_stages at ./clutter-master-clock.c:457
 #6 clutter_clock_dispatch at ./clutter-master-clock.c:595
 #11 meta_run at core/main.c:473

Comment 1 Anonymous 2014-10-04 15:23:52 UTC
Created attachment 943898 [details]
File: backtrace

Comment 2 Anonymous 2014-10-04 15:23:54 UTC
Created attachment 943899 [details]
File: cgroup

Comment 3 Anonymous 2014-10-04 15:23:55 UTC
Created attachment 943900 [details]
File: core_backtrace

Comment 4 Anonymous 2014-10-04 15:23:57 UTC
Created attachment 943901 [details]
File: dso_list

Comment 5 Anonymous 2014-10-04 15:23:58 UTC
Created attachment 943902 [details]
File: environ

Comment 6 Anonymous 2014-10-04 15:23:59 UTC
Created attachment 943903 [details]
File: exploitable

Comment 7 Anonymous 2014-10-04 15:24:01 UTC
Created attachment 943904 [details]
File: limits

Comment 8 Anonymous 2014-10-04 15:24:04 UTC
Created attachment 943905 [details]
File: maps

Comment 9 Anonymous 2014-10-04 15:24:05 UTC
Created attachment 943906 [details]
File: open_fds

Comment 10 Anonymous 2014-10-04 15:24:07 UTC
Created attachment 943907 [details]
File: proc_pid_status

Comment 11 Anonymous 2014-10-04 15:24:08 UTC
Created attachment 943908 [details]
File: var_log_messages

Comment 12 Mikhail 2014-10-13 06:44:51 UTC
Another user experienced a similar problem:

Occurs when I played in Aperture Tag: The Paint Gun Testing Initiative

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_actor_set_unredirected
executable:     /usr/bin/gnome-shell
kernel:         3.17.0-301.fc21.x86_64+debug
package:        gnome-shell-3.14.0-2.fc21
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Mikhail 2014-10-19 09:49:35 UTC
Another user experienced a similar problem:

Occurs every time when game application lock mouse and activity and stop respond :(
When I try clouse non responded game via mutter popup window occurs this crash.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_actor_set_unredirected
executable:     /usr/bin/gnome-shell
kernel:         3.17.1-302.fc21.x86_64+debug
package:        gnome-shell-3.14.1-1.fc21
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Mikhail 2014-10-26 07:56:57 UTC
Another user experienced a similar problem:

Occurs then I colse anakonda during install wizard with Alt + F4

reporter:       libreport-2.3.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_actor_set_unredirected
executable:     /usr/bin/gnome-shell
kernel:         3.17.1-302.fc21.i686
package:        gnome-shell-3.14.1-1.fc21
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Adam Williamson 2014-11-28 04:36:31 UTC
Another user experienced a similar problem:

Shell seemed to crash multiple times while running the installer from a live image built from ~F21 RC1 package set. Graphics adapter is a NVIDIA 9600GT.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_actor_set_unredirected
executable:     /usr/bin/gnome-shell
kernel:         3.17.4-301.fc21.x86_64
package:        gnome-shell-3.14.2-1.fc21
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Matthias Clasen 2014-12-11 14:32:59 UTC
fix is in the 3.14 branch upstream, will come in with 3.14.3

Comment 17 Sergei S. Rublёv 2014-12-13 14:39:22 UTC
Anaconda failed at 17%, this bug also came in.

Comment 18 Fedora Update System 2014-12-19 17:55:18 UTC
mutter-3.14.3-1.fc21,gnome-shell-3.14.3-1.fc21,gnome-shell-extensions-3.14.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mutter-3.14.3-1.fc21,gnome-shell-3.14.3-1.fc21,gnome-shell-extensions-3.14.3-1.fc21

Comment 19 Fedora Update System 2014-12-31 19:02:24 UTC
mutter-3.14.3-1.fc21, gnome-shell-3.14.3-1.fc21, gnome-shell-extensions-3.14.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora End Of Life 2015-11-04 15:57:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2015-12-02 04:06:23 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.